#define REDLED 2
#define AMBERLED 3
#define GREENLED 4

void setup() {
  pinMode(REDLED, OUTPUT);
  pinMode(AMBERLED, OUTPUT);
  pinMode(GREENLED, OUTPUT);

}

void loop() {
  stop_light();
  delay(1000);
  get_ready_light();
  delay(1000);
  go_light();
  delay(1000);
  caution_light();
  delay(1000);
}

void get_ready_light() {
  digitalWrite(REDLED, HIGH);
  digitalWrite(AMBERLED, HIGH);
  digitalWrite(GREENLED, LOW);
}

void stop_light() {
  digitalWrite(REDLED, HIGH);
  digitalWrite(AMBERLED, LOW);
  digitalWrite(GREENLED, LOW);
}

void go_light() {
  digitalWrite(REDLED, LOW);
  digitalWrite(AMBERLED, LOW);
  digitalWrite(GREENLED, HIGH);
}

void caution_light() {
  digitalWrite(REDLED, LOW);
  digitalWrite(AMBERLED, HIGH);
  digitalWrite(GREENLED, LOW);
}
